import request from '@/utils/request'

// 查询城市区号列表
export function listCode(query) {
  return request({
    url: '/system/code/list',
    method: 'get',
    params: query
  })
}

// 查询城市区号详细
export function getCode(code) {
  return request({
    url: '/system/code/' + code,
    method: 'get'
  })
}

// 新增城市区号
export function addCode(data) {
  return request({
    url: '/system/code',
    method: 'post',
    data: data
  })
}

// 修改城市区号
export function updateCode(data) {
  return request({
    url: '/system/code',
    method: 'put',
    data: data
  })
}

// 删除城市区号
export function delCode(code) {
  return request({
    url: '/system/code/' + code,
    method: 'delete'
  })
}
